package cn.com.victorysoft.business.technology.dao;

import cn.com.victorysoft.business.sys.param.UnitWellMonthPageParam;
import cn.com.victorysoft.business.sys.param.UnitWellPageParam;
import cn.com.victorysoft.business.technology.entity.WellTool;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WellToolDao {
    int deleteByPrimaryKey(WellTool record);

    int deleteByMonth(String month);

    int insert(WellTool record);

    int insertBatch(List<WellTool> record);

    WellTool selectByPrimaryKey(WellTool record);

    List<WellTool> selectList(UnitWellMonthPageParam param);

    int updateByPrimaryKeySelective(WellTool record);

    int updateByPrimaryKey(WellTool record);
}